%define upstream_name    Net-SMTP-TLS-ButMaintained
%define upstream_version 0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    An SMTP client supporting TLS and AUTH
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Digest::HMAC_MD5)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IO::Socket::SSL) >= 1.760.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Net::Cmd)
BuildRequires: perl(Net::SSLeay)
BuildArch:  noarch

%description
*Net::SMTP::TLS::ButMaintained* is forked from the Net::SMTP::TLS manpage.
blame 'Evan Carroll' for the idea. :)

*Net::SMTP::TLS::ButMaintained* is a TLS and AUTH capable SMTP client which
offers an interface that users will find familiar from the Net::SMTP
manpage. *Net::SMTP::TLS::ButMaintained* implements a subset of the methods
provided by that module, but certainly not (yet) a complete mirror image of
that API.

The methods supported by *Net::SMTP::TLS::ButMaintained* are used in the
above example. Though self explanatory for the most part, please see the
perldoc for the Net::SMTP manpage if you are unclear.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-2.mga3
+ Revision: 370866
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 guillomovitch <guillomovitch> 0.210.0-1.mga3
+ Revision: 338579
- new version

* Wed Jul 04 2012 jquelin <jquelin> 0.200.0-1.mga3
+ Revision: 267435
- update to 0.20

* Tue Jun 26 2012 guillomovitch <guillomovitch> 0.190.0-1.mga3
+ Revision: 263849
- new version

* Wed Jan 18 2012 guillomovitch <guillomovitch> 0.180.0-1.mga2
+ Revision: 197851
- imported package perl-Net-SMTP-TLS-ButMaintained

